#
# spec file for package yast2-gpmc
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-gpmc
Version:        1.5.1
Release:        1.13
Summary:        Group Policy Management Console for YaST
License:        GPL-3.0-only
Group:          Productivity/Networking/Samba
URL:            https://github.com/yast/yast2-gpmc

Source:         %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  python3
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

Requires:       krb5-client
Requires:       python3-ldap
Requires:       samba-ad-dc
Requires:       samba-client
Requires:       samba-python3 >= 4.10.0
Requires:       yast2
Requires:       yast2-adcommon-python >= 1.0
Requires:       yast2-python3-bindings >= 4.0.0

Provides:       yast-gpmc = %{version}
Obsoletes:      yast-gpmc < %{version}

BuildArch:      noarch

%description
The Group Policy Management console for YaST provides tools for creating and
modifying Group Policy Objects in Active Directory.

%prep
%setup -q

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_desktopdir}
%{yast_metainfodir}
%license COPYING
%doc %{yast_docdir}

%changelog
* Wed Jan 13 2021 dmulder@suse.com
- Fix unable to parse samba admx templates; (bsc#1180896);
- Removing ad-dc dependency breaks gpmc; (jsc#ECO-2527);
- 1.5.1
* Fri Sep 27 2019 dmulder@suse.com
- Create a stub smb.conf for s3_lp if no smb.conf exists.
- Fix broken gpo creation by reusing samba code; (bsc#1152357);
- Use samba-tool code to delete links/gpos.
- 1.5.0
* Mon Sep 23 2019 dmulder@suse.com
- Fix copy/paste typo in fix for bug 1151733; (bsc#1151738);
- 1.4.8
* Mon Sep 23 2019 dmulder@suse.com
- Use the domain name stored in the samba Credentials object; (bsc#1151733);
- 1.4.7
* Thu Sep 12 2019 dmulder@suse.com
- Remove ldap module use of MOD_DELETE and MOD_ADD; (bsc#1150616);
- 1.4.6
* Thu Sep 12 2019 dmulder@suse.com
- Ignore directory listing if directory doesn't exist; (bsc#1150614);
- 1.4.5
* Thu Aug 22 2019 dmulder@suse.com
- SamDB interface now allows gpmc to use krb5 auth; (boo#1146898);
- GPO Editor tree open immediate on navigate.
- Enable user management settings.
- Catch file not found on delete sysvol file.
- Handle multiple links when parsing a gpLink.
- 1.4.4
* Fri Jun  7 2019 Stasiek Michalski <hellcp@mailbox.org>
- Use new schema of desktop files (boo#1084864)
- Clean up spec
- Rename desktop files
- 1.4.3
* Fri Mar 15 2019 dmulder@suse.com
- Use libsmb instead of the deprecated smb library
* Thu Mar 14 2019 dmulder@suse.com
- Update to 1.4.2:
  + Move module to Network Services
  + Use samba preg file pack/unpack (Requires samba 4.10)
  + Unconfigured/Enable/Disable policy states
  + Use common adcommon password prompt (Requires yast2-adcommon-python)
  + Add a unified file/actions menu, instead of various buttons
  + Allow switching domains
* Thu Nov  1 2018 dmulder@suse.com
- Disable experimental features in sle
* Tue Oct  9 2018 dmulder@suse.com
- v1.4.1: Switch package to py3
* Tue Aug  7 2018 dmulder@suse.com
- v1.4: Adds admx template support
* Tue May 29 2018 dmulder@suse.com
- v1.3.1: Lots of improvements and fixes, py3 compatability, etc.
* Fri Nov 17 2017 dmulder@suse.com
- v1.0
